## Apache Zeta Components Manual :: Docs For Class ezcBaseMetaDataTarballReader

### Base::ezcBaseMetaDataTarballReader

### Class ezcBaseMetaDataTarballReader

Base class implements ways of fetching information about the installed eZ Components when installed as tarball.

Source for this file: /Base/src/metadata/tarball.php

Version: | //autogentag//

### Method Summary

public ezcBaseMetaDataTarballReader | `__construct( )` Creates the reader object and opens the release-info file.
public string | `getBundleVersion( )` Returns the version string for the installed eZ Components bundle.
public array(string=>string). | `getComponentDependencies( [ $componentName = null] )` Returns a list of components that $componentName depends on.
public string | `getComponentVersion( $componentName )` Returns the version string of the available $componentName or false when the component is not installed.
public string | `getRequiredPhpVersion( )` Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.
public bool | `isComponentInstalled( $componentName )` Returns whether $componentName is installed

### Methods

#### __construct

ezcBaseMetaDataTarballReader __construct( )

Creates the reader object and opens the release-info file.

#### getBundleVersion

string getBundleVersion( )

Returns the version string for the installed eZ Components bundle.

A version string such as "2008.2.2" is returned.

#### getComponentDependencies

array(string=>string). getComponentDependencies( [ $componentName = null] )

Returns a list of components that $componentName depends on.

If $componentName is left empty, all installed components are returned.

The returned array has as keys the component names, and as values the version of the components. It returns null of the $componentName is not found.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getComponentVersion

string getComponentVersion( $componentName )

Returns the version string of the available $componentName or false when the component is not installed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getRequiredPhpVersion

string getRequiredPhpVersion( )

Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.

#### isComponentInstalled

bool isComponentInstalled( $componentName )

Returns whether $componentName is installed

Returns true for every component that exists (because all of them are then available).

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

Documentation generated by phpDocumentor 1.4.3